Vulnerabilities in Credentials Binding 1.7